unicode-property-aliases-ecmascript

unicode-property-aliases-ecmascript offers Unicode property alias mappings in an easy-to-consume JavaScript format. It only contains the Unicode property names that are supported in ECMAScript RegExp property escapes.

It’s based on the `PropertyAliases.txt` data for Unicode v12.0.0.

# Installation

To use unicode-property-aliases-ecmascript programmatically, install it as a dependency via npm:

$ npm install unicode-property-aliases-ecmascript

Then, `require` it:

const propertyAliases = require('unicode-property-aliases-ecmascript');

# Usage

This module exports a `Map` object. The most common usage is to convert a property alias to its canonical form:

propertyAliases.get('scx')
// → 'Script_Extensions'

# Author

Mathias Bynens

# License

unicode-property-aliases-ecmascript is available under the MIT license.